package com.ruoyi.interfaces.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 模型文件信息对象 md_model_file
 * 
 * @author ruoyi
 * @date 2025-07-15
 */
public class MdModelFile extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 文件ID */
    @ApiModelProperty("文件ID")
    private String fileid;

    /** 模型标识 */
    @ApiModelProperty("模型标识")
    @Excel(name = "模型标识")
    private String mdid;

    /** 文件名称 */
    @ApiModelProperty("文件名称")
    @Excel(name = "文件名称")
    private String filename;

    /** 工作相对路径 */
    @ApiModelProperty("工作相对路径")
    @Excel(name = "工作相对路径")
    private String relativePath;

    /** 是否为主模块 */
    @ApiModelProperty("是否为主模块")
    @Excel(name = "是否为主模块")
    private String isMainLibrary;

    /** 是否为文档 */
    @ApiModelProperty("是否为文档")
    @Excel(name = "是否为文档")
    private Integer isDocument;

    /** 是否公开 */
    @ApiModelProperty("是否公开")
    @Excel(name = "是否公开")
    private String signature;

    /** 编辑时间 */
    @ApiModelProperty("编辑时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "编辑时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date modifyBy;

    public MdModelFile() {
    }

    public MdModelFile(String fileid, String mdid, String filename, String relativePath, String isMainLibrary, Integer isDocument, String signature, Date modifyBy) {
        this.fileid = fileid;
        this.mdid = mdid;
        this.filename = filename;
        this.relativePath = relativePath;
        this.isMainLibrary = isMainLibrary;
        this.isDocument = isDocument;
        this.signature = signature;
        this.modifyBy = modifyBy;
    }

    public void setFileid(String fileid)
    {
        this.fileid = fileid;
    }

    public String getFileid() 
    {
        return fileid;
    }
    public void setMdid(String mdid) 
    {
        this.mdid = mdid;
    }

    public String getMdid() 
    {
        return mdid;
    }
    public void setFilename(String filename) 
    {
        this.filename = filename;
    }

    public String getFilename() 
    {
        return filename;
    }
    public void setRelativePath(String relativePath) 
    {
        this.relativePath = relativePath;
    }

    public String getRelativePath() 
    {
        return relativePath;
    }
    public void setIsMainLibrary(String isMainLibrary) 
    {
        this.isMainLibrary = isMainLibrary;
    }

    public String getIsMainLibrary() 
    {
        return isMainLibrary;
    }
    public void setIsDocument(Integer isDocument) 
    {
        this.isDocument = isDocument;
    }

    public Integer getIsDocument() 
    {
        return isDocument;
    }
    public void setSignature(String signature) 
    {
        this.signature = signature;
    }

    public String getSignature() 
    {
        return signature;
    }
    public void setModifyBy(Date modifyBy) 
    {
        this.modifyBy = modifyBy;
    }

    public Date getModifyBy() 
    {
        return modifyBy;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fileid", getFileid())
            .append("mdid", getMdid())
            .append("filename", getFilename())
            .append("relativePath", getRelativePath())
            .append("isMainLibrary", getIsMainLibrary())
            .append("isDocument", getIsDocument())
            .append("signature", getSignature())
            .append("createBy", getCreateBy())
            .append("modifyBy", getModifyBy())
            .toString();
    }
}
